﻿/***************************************************************************

Copyright (c) Microsoft Corporation. All rights reserved.

THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.

***************************************************************************/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;
using Microsoft.VisualStudio.Shell;
using System.ComponentModel;

namespace Microsoft.DaxEditor
{
    [ClassInterface(ClassInterfaceType.AutoDual)]
    [CLSCompliant(false), ComVisible(true)]
    public class DaxFormattingPage : DialogPage
    {
        private int indentDepthInFunctions = 3;

        [Category("Indent depth")]
        [DisplayName("Indent depth")]
        [Description("Defines how many nested DAX functions to be formatted with indent")]
        public int IndentDepthInFunctions
        {
            get { return indentDepthInFunctions; }
            set { indentDepthInFunctions = value; }
        }
    }
}
