﻿/***************************************************************************

Copyright (c) Microsoft Corporation. All rights reserved.

THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.

***************************************************************************/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.DaxEditor
{
    public enum LibraryName
    {
        Unknown,
        Scalar
    };

    public enum InterfaceName
    {
        Unknown,
        DateTime,
        Info,
        Logical,
        MathTrig,
        Text,
        Filter,
        ParentChild,
        Statistical,
    };

    public class DaxFunctionDescription
    {
        public DaxFunctionDescription()
        {
        }

        public string Name { get; set; }
        public string Description { get; set; }
        public InterfaceName InterfaceName { get; set; }
        public LibraryName LibraryName { get; set; }

        public IList<Babel.Parameter> Parameters { get; set; }
    }
}
